Qt Script for Applications Reference Documentation

# QSArgument Class Reference

QSArgument
Type
ptr
qobject
type
typeName
variant

List of All Member Functions

Header File

# QSArgumentList Class Reference

QSArgumentList

List of All Member Functions

Header File

# QSEditor Class Reference

QSEditor
activate
commit
copy
cut
find
gotoLine
indent
interpreter
isActive
isModified
isRedoAvailable
isUndoAvailable
paste
project
readSettings
redo
release
removeErrorMark
replace
revert
script
selectAll
setErrorMark
setInterpreter
setScript
setText
text
textChanged
textEdit
undo
~QSEditor

List of All Member Functions

Header File

# QSInputDialogFactory Class Reference

QSInputDialogFactory

List of All Member Functions

Header File

# QSInterpreter Class Reference

QSInterpreter
ClassFlags
ErrorMode
FunctionFlags
addObjectFactory
addTransientObject
addTransientSignalHandler
addTransientVariable
addWrapperFactory
call
checkSyntax
classes
clear
currentContext
defaultInterpreter
error
errorMessage
errorMode
errorMode
evaluate
functions
hadError
hasClass
hasFunction
hasVariable
isRunning
presentObjects
project
removeTransientSignalHandler
setErrorMode
setTimeoutInterval
stackTrace
stopExecution
throwError
timeout
timeoutInterval
timeoutInterval
variable
variables

List of All Member Functions

Header File

# QSObjectFactory Class Reference

QSObjectFactory
create
interpreter
registerClass
throwError

List of All Member Functions

Header File

# QSProject Class Reference

QSProject
StorageMode
activeEditor
addObject
addSignalHandler
clearObjects
commitEditorContents
createEditor
createScript
createScriptInternal
editor
editorTextChanged
editors
editorsModified
interpreter
load
loadFromData
object
objects
projectChanged
projectEvaluated
removeObject
removeSignalHandler
revertEditorContents
save
saveToData
script
scriptNames
scripts
scriptsModified
setStorageMode
storageMode

List of All Member Functions

Header File

# QSScript Class Reference

QSScript
addCode
addFunction
code
codeChanged
context
name
project
setCode

List of All Member Functions

Header File

# QSStackFrame Class Reference

QSStackFrame
context
function
line
scriptName

List of All Member Functions

Header File

# QSStackTrace Class Reference

QSStackTrace
toString

List of All Member Functions

Header File

# QSUtilFactory Class Reference

QSUtilFactory
Utilities

List of All Member Functions

Header File

# QSWorkbench Class Reference

QSWorkbench
close
open
project
showFunction
showScript
widget

List of All Member Functions

Header File

# QSWrapperFactory Class Reference

QSWrapperFactory
create
interpreter
registerWrapper
throwError

List of All Member Functions

Header File

# A Scriptable Spreadsheet

A Scriptable Spreadsheet

# Console

Console

# Filters example, Using QSA as software component glue

Filters example, Using QSA as software component glue

# Game Example

Game Example

# QSA - All Functions

QSA - All Functions

# QSA - Header Files

QSA - Header Files

# QSA - Library Classes

QSA - Library Classes

# QSA Examples

examples

# Qt Script for Applications

Qt Script for Applications

# Qt Script for Applications Articles

Qt Script for Applications Articles

# Scribblescripter Example

Scribblescripter Example

# Scriptbutton

Scriptbutton

# Text Edit Example

Text Edit Example

# Thanks!

Thanks!

# The Plot Application

The Plot Application

# Wrappers Example

Wrappers Example